Package org.eclipse.cdt.core.browser

# Interface ITypeReference

All Known Implementing Classes:
  `TypeReference`

public interface ITypeReference

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ICElement[]`
`getCElements()`
Returns the CElements located at the stored offset and length, or `null` if not found.
`int`
`getLength()`
Returns the length.
`org.eclipse.core.runtime.IPath`
`getLocation()`
Returns the absolute path in the local file system to this reference, or null if no path can be determined.
`int`
`getOffset()`
Returns the offset.
`org.eclipse.core.runtime.IPath`
`getPath()`
Returns the full, absolute path of this reference relative to the workspace, or null if no path can be determined.
`org.eclipse.core.resources.IProject`
`getProject()`
Returns the project.
`org.eclipse.core.runtime.IPath`
`getRelativeIncludePath(org.eclipse.core.resources.IProject project)`
Gets the path for this location, relative to one of the given project's include paths.
`org.eclipse.core.runtime.IPath`
`getRelativePath(org.eclipse.core.runtime.IPath relativeToPath)`
Gets the path for this location, relative to the given path.
`org.eclipse.core.resources.IResource`
`getResource()`
Returns the resource.
`ITranslationUnit`
`getTranslationUnit()`
Returns a translation unit for this location.
`IWorkingCopy`
`getWorkingCopy()`
Returns the working copy.
`boolean`
`isLineNumber()`

## Method Details

### getPath

org.eclipse.core.runtime.IPath getPath()
Returns the full, absolute path of this reference relative to the workspace, or null if no path can be determined.

### getLocation

org.eclipse.core.runtime.IPath getLocation()
Returns the absolute path in the local file system to this reference, or null if no path can be determined.

### getResource

org.eclipse.core.resources.IResource getResource()
Returns the resource.

### getWorkingCopy

IWorkingCopy getWorkingCopy()
Returns the working copy.

### getProject

org.eclipse.core.resources.IProject getProject()
Returns the project.

### getOffset

int getOffset()
Returns the offset.

### getLength

int getLength()
Returns the length.

### getCElements

ICElement[] getCElements()
Returns the CElements located at the stored offset and length, or `null` if not found.

### getTranslationUnit

ITranslationUnit getTranslationUnit()
Returns a translation unit for this location.

### getRelativeIncludePath

org.eclipse.core.runtime.IPath getRelativeIncludePath(org.eclipse.core.resources.IProject project)
Gets the path for this location, relative to one of the given project's include paths.

Parameters:
  `project` - the project to use as a reference.
Returns:
  The path to this location, relative to the longest matching include path in the given project.

### getRelativePath

org.eclipse.core.runtime.IPath getRelativePath(org.eclipse.core.runtime.IPath relativeToPath)
Gets the path for this location, relative to the given path.

Parameters:
  `relativeToPath` - the path to use as a reference.
Returns:
  The path to this location, relative to the given path.

### isLineNumber

boolean isLineNumber()